# Spostamento di un aprtizione

 Lo scopo di questo documento è tenere traccia delle operazioni fatte per spostare una directory _di sistema_ Linux ("user", "var", "home", antani) in una partizione dedicata

## Operazioni comuni
Fonte: https://www.suse.com/support/kb/doc/?id=7015338

Prendiamo *var* come esempio:

Montare in
```
/mnt/newvar
```
La partizione  verso cui si vuole migrare


```
cp -apx /var/* /mnt/newvar
```

Fare backuo della precedente var:
```
mv /var /var.old
```

Creare la cartella su cui verrà montata la nuova partizione:
```
mkdir /var
```
editare fstab per montare la nuova partizione:
```
UUID=59b371c0-26af-417c-8afe-1b7922ed373f /var           ext4    defaults        0       2
```

UUID può essere ricavato con 
```
cat /dev/disk/by-uuid
```

Riavviare il tutto

## /usr

*/usr*  è una cartella particolare perché contiene tutti i binari del sistema compresi quelli necessari per l'init del sistema stesso. Va da sé che il suo mounting deve avvenire con priorità altrienti lo stesso Systemd NON parte.

Su Arch Linux dopo aver eseguito gli step precedenti occorre modificare
```
/etc/mkinitcpio.conf
```
aggiungendo alla sezione *hooks*: fsck, shutdown e usr
Salvare e ricompilare l'intitrd con:
```
mkinitcpio -p linux
```
Per il linux principale e/o

```
mkinitcpio -p linux-rt
```
per quello realtime. La cosa va ripetuta per ogni kernel avviabile per esempio da GRUB



